#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/data

#ifconfig eth0 192.168.1.201 up
ifconfig eth0 192.168.12.188 up
rm /dev/sensor
rm /dev/dummy
mknod /dev/cim c 238 0
mknod /dev/sensor c 251 0
mknod /dev/dummy c 64 0
mknod /dev/uba  b 180 0
mknod /dev/uba1 b 180 1
mknod /dev/uba2 b 180 2
mknod /dev/ubb  b 180 8
mknod /dev/ubb1 b 180 9
mknod /dev/ubb2 b 180 10
mknod /dev/ubc  b 180 16
mknod /dev/ubc1 b 180 17
mknod /dev/ubc2 b 180 18
mknod /dev/ubd  b 180 24
mknod /dev/ubd1 b 180 25
mknod /dev/ubd2 b 180 26
mknod /dev/ube  b 180 32
mknod /dev/ube1 b 180 33
mknod /dev/ube2 b 180 34
mknod /dev/ubf  b 180 40
mknod /dev/ubf1 b 180 41
mknod /dev/ubf2 b 180 42
mknod /dev/ubg  b 180 48
mknod /dev/ubg1 b 180 49
mknod /dev/ubg2 b 180 50
mknod /dev/sda3 b 8 3
mknod /dev/sda4 b 8 4
mount  -t usbfs none /proc/bus/usb

ln -s /bin/busybox /sbin/udhcpc -f

rm -rf /dev/radio_cmd
rm -rf /dev/radio_data
rm -rf /usr/sbin/pppd
rm -rf /usr/sbin/chat
rm -rf /etc/ppp/*
rm -rf /var/run/ppp*
ln -s /dev/ttyS0 /dev/radio_cmd -f
ln -s /dev/ttyS0 /dev/radio_data -f
ln -s $DEST/data/pppd /usr/sbin/
ln -s $DEST/data/chat /usr/sbin/

#if [ ! -f /dev/ttyUSB0 ]; then
#	mknod /dev/ttyUSB0 c 188 0
#fi

#ln -s /dev/ttyUSB0 /dev/radio_data

#if [ ! -f /dev/ttyUSB1 ]; then
#	mknod /dev/ttyUSB1 c 188 1
#fi

#if [ ! -f /dev/ttyUSB2 ]; then
#	mknod /dev/ttyUSB2 c 188 2
#fi
#ln -s /dev/ttyUSB2 /dev/radio_cmd

if  [ ! -d /etc/ppp ]; then
	mkdir /etc/ppp
fi

if [ -f $DEST/data/chat ]; then
        ln -s $DEST/data/chat /usr/sbin/chat -f
fi
        chmod u+x /mnt/mtdblock/data/chat
        
if [ -f $DEST/data/pppd ]; then
        ln -s $DEST/data/pppd /usr/sbin/pppd -f
fi
        chmod u+x /mnt/mtdblock/data/pppd
                
        rm /var/run/ppp* -rf
                
if [ ! -c /dev/ppp ]; then
        mknod /dev/ppp c 108 0
fi

#if [ ! -f /dev/ppp ]; then
#	mknod /dev/ppp c 108 0
#fi

if [ -d $DEST/wav ]; then
	cp $DEST/wav /mnt/ramdisk/ -rf && sync
fi

if [ -f $DEST/drivers/uvcvideo.ko ]; then                                                          
           insmod $DEST/drivers/uvcvideo.ko                                                           
fi
        
   
if [ -f $DEST/drivers/g_serial.ko ]; then
         insmod $DEST/drivers/g_serial.ko use_acm=1
fi
 
if [ -f $DEST/drivers/gspca_main.ko ]; then
      insmod $DEST/drivers/gspca_main.ko
fi
 
if [ -f $DEST/drivers/gspca_zc3xx.ko ]; then
      insmod $DEST/drivers/gspca_zc3xx.ko
fi

if [ -f $DEST/lib/minires.tgz ]; then
	tar -xzf $DEST/lib/minires.tgz -C /usr/local/lib && rm $DEST/lib/minires.tgz -f &&  sync
fi

if [ -f $DEST/drivers/gpio_drv.ko ]; then
        insmod $DEST/drivers/gpio_drv.ko
fi

if [ -f $DEST/drivers/hv7131.ko ]; then
        insmod $DEST/drivers/hv7131.ko
fi

if [ -f $DEST/drivers/cim.ko ]; then
   	insmod $DEST/drivers/cim.ko
fi

if [ -f $DEST/drivers/dummy.ko ]; then
   	insmod $DEST/drivers/dummy.ko
fi

if [ -f $DEST/drivers/wiegand.ko ]; then
        insmod $DEST/drivers/wiegand.ko
fi

if [ ! -c /dev/ttygserial ]; then
    mknod /dev/ttygserial c 127 0
fi

if [ -f $DEST/drivers/g_serial.ko ]; then
        insmod $DEST/drivers/g_serial.ko use_acm=1
fi

#if [ -f $DEST/dns_https_libs_arm.tgz ]; then
#        tar  xvzf $DEST/dns_https_libs_arm.tgz  -C / && rm $DEST/dns_https_libs_arm.tgz -f && sync
#fi

battery
if [ -f $DEST/drivers/ak4182.ko ]; then
	insmod $DEST/drivers/ak4182.ko
fi

if [ -f $DEST/drivers/power.ko ]; then
        insmod $DEST/drivers/power.ko
fi
#battery end

#if [ -f $DEST/drivers/wifi/rt73.ko ]; then
#       insmod $DEST/drivers/wifi/rt73.ko
#fi

#if [ -f $DEST/drivers/wifi/rt73.tgz ]; then
#        rm /etc/rt73* -f && tar xvzf $DEST/drivers/wifi/rt73.tgz -C /etc/ && sync
#        cp /etc/rt73.bin /lib/firmware -f && sync
#fi

#if [ -f $DEST/drivers/wifi/rtnetsta.ko ]; then
#        insmod $DEST/drivers/wifi/rtutilsta.ko
#	insmod $DEST/drivers/wifi/rtsta.ko
#	insmod $DEST/drivers/wifi/rtnetsta.ko
#fi

if [ ! -d /etc/udhcpc.d ]; then
	mkdir /etc/udhcpc.d 
fi

if [ ! -d /usr/share/udhcpc ]; then
	mkdir /usr/share/udhcpc -p
fi

if [ -f $DEST/50default ]; then
	cd $DEST && mv 50default /etc/udhcpc.d/ && sync
	chmod u+x /etc/udhcpc.d/50default
fi

if [ -f $DEST/default.script ]; then
	cd $DEST && mv default.script /usr/share/udhcpc/ && sync
	chmod u+x /usr/share/udhcpc/default.script
fi

rm -rf /var/run/udhcpc-rausb0.pid

#if [ -f /mnt/mtdblock/lib/libradio.so ]; then
#    ln -s /mnt/mtdblock/lib/libradio.so /lib/libradio.so -f
#fi 

#if [ -f /mnt/mtdblock/drivers/cdc-acm.ko ]; then
#	insmod /mnt/mtdblock/drivers/cdc-acm.ko
#fi

#if [ -f /mnt/mtdblock/drivers/usbserial.ko ]; then
#	insmod /mnt/mtdblock/drivers/usbserial.ko
#fi

#if [ -f /mnt/mtdblock/drivers/option.ko ]; then
#	insmod /mnt/mtdblock/drivers/option.ko
#fi

ALGOLIB=$DEST/lib/libzkfp.so.3.5.1
ln -s $ALGOLIB  /lib/libzkfp.so.3 -f
ln -s $ALGOLIB  /lib/libzkfp.so -f
ln -s $DEST/lib/libjpeg.so /lib/libjpeg.so.62 -f 
ln -s $DEST/MiniGUI.cfg /etc/MiniGUI.cfg -f
ln -s $DEST/lib/libttf.so /lib/libttf.so -f
ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f 
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f
ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f
ln -s $DEST/lib/libstdc++.so.6.0.8 /lib/libstdc++.so.6 -f
ln -s $DEST/lib/libhttppush.so /lib/libhttppush.so -f
ln -s $DEST/lib/libmgext.so /lib/libmgext-1.6.so.9 -f
ln -s $DEST/lib/libminigui.so /lib/libminigui-1.6.so.9 -f
ln -s /mnt/mtdblock/lib/libweb.so /lib/libweb.so -f
ln -s /mnt/mtdblock/lib/libcam.so /lib/libcam.so -f
ln -s /mnt/mtdblock/lib/libmodem.so /lib/libmodem.so -f

if [ -f $DEST/udhcpc ]; then
	cd $DEST && chmod u+x $DEST/udhcpc
fi 

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi

if [ -f $DEST/inbiocomm ]; then
	chmod u+x $DEST/inbiocomm && cd $DEST && $DEST/inbiocomm &
fi
        
if [ -f $DEST/main ]; then
	cd $DEST && chmod u+x $DEST/main && $DEST/main
fi 
if [ -f $DEST/data/wdt ]; then
	cd $DEST/data && chmod u+x $DEST/data/wdt && $DEST/data/wdt -p 5 -t 3600 -m "$DEST/main" -n "$DEST/inbiocomm"&
fi

